
%define rel 1

Name: libkcddb5
Summary: Library for retrieving and sending cddb information
Version: 0.5
Release: %mkrel %{rel}
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdemultimedia/libkcddb
Source0: http://download.kde.org/stable/applications/%{version}/src/libkcddb5.tar.xz
BuildRequires: cmake
BuildRequires: %{_lib}kcodecs-devel
BuildRequires: %{_lib}kconfig-devel
BuildRequires: %{_lib}kcoreaddons-devel
BuildRequires: %{_lib}kf5auth-devel
BuildRequires: %{_lib}kf5configwidgets-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}kio-devel
BuildRequires: %{_lib}musicbrainz5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: libxml2-utils
Obsoletes: libkcddb

%description
A library for retrieving and sending cddb information.

#------------------------------------------------------------------------------

%files
%{_datadir}/kservices5/libkcddb.desktop
%{_datadir}/config.kcfg/libkcddb.kcfg

#-----------------------------------------------------------------------------
%package -n libkcddb5-handbook
Summary: Handbook package for libkcddb
Group: Documentation
Requires: libkcddb5
BuildArch: noarch
Obsoletes: libkcddb-handbook

%description -n libkcddb5-handbook
This package provides the handbook for KCM cddb.

%files -n libkcddb5-handbook
%{_datadir}/doc/HTML/en/kcontrol/cddbretrieval/index.cache.bz2
%{_datadir}/doc/HTML/en/kcontrol/cddbretrieval/index.docbook
%{_datadir}/doc/HTML/en/kcontrol/cddbretrieval/kscd13.png
%{_datadir}/doc/HTML/en/kcontrol/cddbretrieval/kscd14.png
%{_datadir}/doc/HTML/en/kcontrol/cddbretrieval/kscd16.png


#------------------------------------------------------------------------------
%define kcddb_major 5
%define libkcddb %mklibname kcddb %kcddb_major

%package -n %{libkcddb}
Summary: %{name} library
Group: System/Libraries


%description -n %{libkcddb}
A library for retrieving and sending cddb information.

%files -n %{libkcddb}
%{_libdir}/libkcddbwidgets.so.5
%{_libdir}/libkcddbwidgets.so.5.22.0
%{_libdir}/libkcddb.so.5
%{_libdir}/libkcddb.so.5.22.0
%{_libdir}/qt5/plugins/kcm_cddb.so
#------------------------------------------------------------------------------

%define libkcddb_devel %mklibname kcddb5 -d

%package -n %{libkcddb_devel} 
Summary: Devel stuff for %name
Group: Development/Libraries
Requires: %libkcddb
Provides: libkcddb5-devel = %version-%release
Provides: kcddb5-devel = %version-%release
Obsoletes: %{_lib}kde4-kcddb-devel

%description -n %{libkcddb_devel} 
A library for retrieving and sending cddb information.

This package contains header files needed if you wish to build applications
based on libkcddb.

%files -n %{libkcddb_devel} 
%{_includedir}/libkcddb/categories.h
%{_includedir}/libkcddb/cdinfo.h
%{_includedir}/libkcddb/cdinfodialog.h
%{_includedir}/libkcddb/client.h
%{_includedir}/libkcddb/configbase.h
%{_includedir}/libkcddb/genres.h
%{_includedir}/libkcddb/kcddb.h
%{_includedir}/libkcddb/kcddb_export.h
%{_includedir}/libkcddb/kcddbconfig.h
%{_libdir}/cmake/libkcddb/LibkcddbConfig.cmake
%{_libdir}/cmake/libkcddb/LibkcddbConfigVersion.cmake
%{_libdir}/cmake/libkcddb/LibkcddbTargets-relwithdebinfo.cmake
%{_libdir}/cmake/libkcddb/LibkcddbTargets.cmake
%{_libdir}/libkcddb.so
%{_libdir}/libkcddbwidgets.so
#------------------------------------------------------------------------------

%prep
%setup -qn libkcddb

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Thu May 19 2016 bb <bb> 0.5-1pclos2016
- update

